Subject: Re: master^ is not a local branch -- huh?!?

From: "Scott R. Godin" <[email-masked]>
Date: Fri, 29 Jan 2010 15:36:18 -0500

On 01/29/2010 03:20 PM, Ron1 wrote:
> [ron@mickey]$ git checkout master
> Already on 'master'
> [ron@mickey]$ git checkout master^
> Note: moving to 'master^' which isn't a local branch
> If you want to create a new branch from this checkout, you may do so
> (now or later) by using -b with the checkout command again. Example:
>    git checkout -b<new_branch_name>
> HEAD is now at 7be05e0... test
> [ron@mickey]$ git branch
> * (no branch)
>    master
> [ron@mickey]$
>
> Huh?!?
>
> This is a test repository which has never been pulled from nor pushed to
> anywhere.  So how is it possible that I have a non-local branch?
>
> Thanks,
> rg
>

I believe what you're seeing is known as a detached head (see 
<http://www.kernel.org/pub/software/scm/git/docs/git-checkout.html> 
though I could be wrong about this.)

I think you may have intended to do git checkout HEAD^ or something 
similar? basically what you did was (I think) checkout (or attempt to 
checkout) the parent commit on master.

this may offer some additional food for thought: 
<http://www.kernel.org/pub/software/scm/git/docs/gittutorial.html#_exploring_history>

-- 
(please respond to the list as opposed to my email box directly,
unless you are supplying private information you don't want public
on the list)